Own permissions
GET
/auth/permissions
const url = 'https://sylve.lan:8181/api/auth/permissions';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/auth/permissions \ --header 'Authorization: <Authorization>'The signed-in user’s privileges on “/” and on every path they have a grant on, and on the paths below each one
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Permissions
Media typeapplication/json
object
data
object
nodes
Nodes maps hostnames, which the UI shows, to the IDs that /nodes/
object
key
additional properties
string
paths
object
key
additional properties
object
below
Array<string>
privileges
Array<string>
superuser
boolean
error
string
message
string
status
string
Examplegenerated
{ "data": { "nodes": { "additionalProperty": "example" }, "paths": { "additionalProperty": { "below": [ "example" ], "privileges": [ "example" ] } }, "superuser": true }, "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}